/**
 *
 */
package de.intevation.gnv.chart.exception;

/**
 * @author Tim Englich <tim.englich@intevation.de>
 * 
 */
public class TechnicalChartException extends Exception {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = -5325863742368006109L;

    /**
     * Constructor
     */
    public TechnicalChartException() {
    }

    /**
     * Constructor
     * 
     * @param message
     */
    public TechnicalChartException(String message) {
        super(message);
    }

    /**
     * Constructor
     * 
     * @param cause
     */
    public TechnicalChartException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructor
     * 
     * @param message
     * @param cause
     */
    public TechnicalChartException(String message, Throwable cause) {
        super(message, cause);
    }

}
